링크
GET https://qrcloud.online/api/links/
curl --request GET \
--url 'https://qrcloud.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| 매개 변수 | 세부 사항 | 설명 |
|---|---|---|
| search | 선택사항 문자열 | 검색 문자열입니다. |
| search_by | 선택사항 문자열 | 어떤 필드로 검색하시겠습니까. 허용된 값은: url, location_url, name 입니다. |
| is_enabled | 선택사항 불리언 | |
| domain_id | 선택사항 정수 | |
| datetime_field | 선택사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택사항 문자열 | 이 날짜 및 시간부터 결과를 필터링합니다. Y-m-d H:i:s 형식. |
| datetime_end | 선택사항 문자열 | 이 날짜 및 시간까지 결과를 필터링합니다. Y-m-d H:i:s 형식. |
| order_by | 선택사항 문자열 | 결과를 어떤 필드로 정렬할 지 지정합니다. 허용되는 값은: link_id, datetime, last_datetime, url, location_url, pageviews, name입니다. |
| order_type | 선택사항 문자열 | 결과의 정렬 순서입니다. 허용된 값은: ASC는 오름차순 정렬, 그리고 DESC는 내림차순 정렬입니다. |
| page | 선택사항 정수 | 원하는 결과가 있는 페이지 번호. 기본값은 1입니다. |
| results_per_page | 선택사항 정수 | 한 페이지 당 원하는 결과 수는 몇 개입니까. 허용된 값은: 10, 25, 50, 100, 250, 500, 1000입니다. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-20 05:32:46",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/links?page=1",
"last": "https://qrcloud.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/links?page=1"
}
}
GET https://qrcloud.online/api/links/{link_id}
curl --request GET \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-20 05:32:46",
}
}
POST https://qrcloud.online/api/links
| 매개 변수 | 세부 사항 | 설명 |
|---|---|---|
| location_url | 필수입니다 문자열 | 목적지 URL입니다.이용 가능 시간: is_bulk = 0 |
| location_urls | 필수입니다 문자열 | 목적지 URL입니다.이용 가능 시간: is_bulk = 1 |
| url | 선택사항 문자열 | 생성된 링크의 URL 별칭. 무작위로 생성된 것은 비워 두십시오.이용 가능 시간: is_bulk = 0 |
| is_bulk | 선택사항 불리언 | |
| domain_id | 선택사항 정수 | - |
| project_id | 선택사항 정수 | - |
| pixels_ids | 선택사항 배열 정수 | - |
| schedule | 선택사항 불리언 | - |
| start_date | 선택사항 문자열 | 이용 가능 시간: schedule = true |
| end_date | 선택사항 문자열 | 이용 가능 시간: schedule = true |
| pageviews_limit | 선택사항 정수 | - |
| expiration_url | 선택사항 문자열 | - |
| password | 선택사항 문자열 | - |
| is_se_visible | 선택사항 불리언 | - |
| forward_query_parameters_is_enabled | 선택사항 불리언 | - |
| utm_source | 선택사항 문자열 | - |
| utm_medium | 선택사항 문자열 | - |
| utm_campaign | 선택사항 문자열 | - |
| sensitive_content | 선택사항 불리언 | - |
| http_status_code | 선택사항 정수 | 허용된 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택사항 불리언 | - |
| cloaking_is_enabled | 선택사항 불리언 | - |
| cloaking_title | 선택사항 문자열 | - |
| cloaking_meta_description | 선택사항 문자열 | - |
| cloaking_custom_js | 선택사항 문자열 | - |
| cloaking_favicon | 선택사항 파일 | - |
| cloaking_opengraph | 선택사항 파일 | - |
| targeting_type | 선택사항 문자열 | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = country_code |
| targeting_country_code_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = country_code |
| targeting_city_name_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = city_name |
| targeting_city_name_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = city_name |
| targeting_device_type_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = device_type |
| targeting_device_type_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = rotation |
| targeting_rotation_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = rotation |
| targeting_os_name_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = os_name |
| targeting_os_name_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_name |
curl --request POST \
--url 'https://qrcloud.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcloud.online/' \
--url 'https://qrcloud.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcloud.online/' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/links/{link_id}
| 매개 변수 | 세부 사항 | 설명 |
|---|---|---|
| location_url | 선택사항 문자열 | 목적지 URL입니다. |
| url | 선택사항 문자열 | 생성된 링크의 URL 별칭. 무작위로 생성된 것은 비워 두십시오. |
| domain_id | 선택사항 정수 | - |
| project_id | 선택사항 정수 | - |
| pixels_ids | 선택사항 배열 정수 | - |
| schedule | 선택사항 불리언 | - |
| start_date | 선택사항 문자열 | 이용 가능 시간: schedule = true |
| end_date | 선택사항 문자열 | 이용 가능 시간: schedule = true |
| pageviews_limit | 선택사항 정수 | - |
| expiration_url | 선택사항 문자열 | - |
| password | 선택사항 문자열 | - |
| is_se_visible | 선택사항 불리언 | - |
| forward_query_parameters_is_enabled | 선택사항 불리언 | - |
| utm_source | 선택사항 문자열 | - |
| utm_medium | 선택사항 문자열 | - |
| utm_campaign | 선택사항 문자열 | - |
| sensitive_content | 선택사항 불리언 | - |
| http_status_code | 선택사항 정수 | 허용된 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택사항 불리언 | - |
| cloaking_is_enabled | 선택사항 불리언 | - |
| cloaking_title | 선택사항 문자열 | - |
| cloaking_meta_description | 선택사항 문자열 | - |
| cloaking_custom_js | 선택사항 문자열 | - |
| cloaking_favicon | 선택사항 파일 | - |
| cloaking_opengraph | 선택사항 파일 | - |
| targeting_type | 선택사항 문자열 | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = country_code |
| targeting_country_code_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = country_code |
| targeting_city_name_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = city_name |
| targeting_city_name_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = city_name |
| targeting_device_type_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = device_type |
| targeting_device_type_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = rotation |
| targeting_rotation_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = rotation |
| targeting_os_name_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = os_name |
| targeting_os_name_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택사항 문자열 | 이용 가능 시간: targeting_type = browser_name |
curl --request POST \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/links/{link_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \